DmtConstants
Date: 2016-06-25

org.osgi.service.dmt

## Class DmtConstants

- java.lang.Object
- - org.osgi.service.dmt.DmtConstants

-     public class DmtConstants
      extends java.lang.Object

  Defines standard names for `DmtAdmin`.
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DDF_LIST` A string defining a DDF URI, indicating that the node is a LIST node.
    `static java.lang.String` | `DDF_MAP` A string defining a DDF URI, indicating that the node is a MAP node.
    `static java.lang.String` | `DDF_SCAFFOLD` A string defining a DDF URI, indicating that the node is a SCAFFOLD node.
    `static java.lang.String` | `EVENT_PROPERTY_NEW_NODES` A string defining the property key for the `newnodes` property in node related events.
    `static java.lang.String` | `EVENT_PROPERTY_NODES` A string defining the property key for the @{code nodes} property in node related events.
    `static java.lang.String` | `EVENT_PROPERTY_SESSION_ID` A string defining the property key for the `session.id` property in node related events.
    `static java.lang.String` | `EVENT_TOPIC_ADDED` A string defining the topic for the event that is sent for added nodes.
    `static java.lang.String` | `EVENT_TOPIC_COPIED` A string defining the topic for the event that is sent for copied nodes.
    `static java.lang.String` | `EVENT_TOPIC_DELETED` A string defining the topic for the event that is sent for deleted nodes.
    `static java.lang.String` | `EVENT_TOPIC_RENAMED` A string defining the topic for the event that is sent for renamed nodes.
    `static java.lang.String` | `EVENT_TOPIC_REPLACED` A string defining the topic for the event that is sent for replaced nodes.
    `static java.lang.String` | `EVENT_TOPIC_SESSION_CLOSED` A string defining the topic for the event that is sent for a closed session.
    `static java.lang.String` | `EVENT_TOPIC_SESSION_OPENED` A string defining the topic for the event that is sent for a newly opened session.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DDF_LIST

          public static final java.lang.String DDF_LIST

      A string defining a DDF URI, indicating that the node is a LIST node.
      See Also:
        Constant Field Values

    - #### DDF_SCAFFOLD

          public static final java.lang.String DDF_SCAFFOLD

      A string defining a DDF URI, indicating that the node is a SCAFFOLD node.
      See Also:
        Constant Field Values

    - #### DDF_MAP

          public static final java.lang.String DDF_MAP

      A string defining a DDF URI, indicating that the node is a MAP node.
      See Also:
        Constant Field Values

    - #### EVENT_TOPIC_ADDED

          public static final java.lang.String EVENT_TOPIC_ADDED

      A string defining the topic for the event that is sent for added nodes.
      See Also:
        Constant Field Values

    - #### EVENT_TOPIC_DELETED

          public static final java.lang.String EVENT_TOPIC_DELETED

      A string defining the topic for the event that is sent for deleted nodes.
      See Also:
        Constant Field Values

    - #### EVENT_TOPIC_REPLACED

          public static final java.lang.String EVENT_TOPIC_REPLACED

      A string defining the topic for the event that is sent for replaced nodes.
      See Also:
        Constant Field Values

    - #### EVENT_TOPIC_RENAMED

          public static final java.lang.String EVENT_TOPIC_RENAMED

      A string defining the topic for the event that is sent for renamed nodes.
      See Also:
        Constant Field Values

    - #### EVENT_TOPIC_COPIED

          public static final java.lang.String EVENT_TOPIC_COPIED

      A string defining the topic for the event that is sent for copied nodes.
      See Also:
        Constant Field Values

    - #### EVENT_TOPIC_SESSION_OPENED

          public static final java.lang.String EVENT_TOPIC_SESSION_OPENED

      A string defining the topic for the event that is sent for a newly opened session.
      See Also:
        Constant Field Values

    - #### EVENT_TOPIC_SESSION_CLOSED

          public static final java.lang.String EVENT_TOPIC_SESSION_CLOSED

      A string defining the topic for the event that is sent for a closed session.
      See Also:
        Constant Field Values

    - #### EVENT_PROPERTY_SESSION_ID

          public static final java.lang.String EVENT_PROPERTY_SESSION_ID

      A string defining the property key for the `session.id` property in node related events.
      See Also:
        Constant Field Values

    - #### EVENT_PROPERTY_NODES

          public static final java.lang.String EVENT_PROPERTY_NODES

      A string defining the property key for the @{code nodes} property in node related events.
      See Also:
        Constant Field Values

    - #### EVENT_PROPERTY_NEW_NODES

          public static final java.lang.String EVENT_PROPERTY_NEW_NODES

      A string defining the property key for the `newnodes` property in node related events.
      See Also:
        Constant Field Values